# class ActionView::Resolver::Path

Keeps all information about view path and builds virtual path.

### Attributes

name[R]
partial[R]
partial?[R]
prefix[R]
virtual[R]

### Public Class Methods

build(name, prefix, partial) click to toggle source

    # File lib/action_view/template/resolver.rb, line 14
    def self.build(name, prefix, partial)
      virtual = ""
      virtual << "#{prefix}/" unless prefix.empty?
      virtual << (partial ? "_#{name}" : name)
      new name, prefix, partial, virtual
    end

new(name, prefix, partial, virtual) click to toggle source
Calls superclass method

    # File lib/action_view/template/resolver.rb, line 21
    def initialize(name, prefix, partial, virtual)
      @name, @prefix, @partial = name, prefix, partial
      super(virtual)
    end